## pyopengl 2.0.1.08

=== src/Togl-1.5/Makefile ===
# $Id: Makefile,v 1.1 2001/05/14 22:55:19 twburton Exp $

# Togl - a Tk OpenGL widget
# Version 1.5
# Copyright (C) 1996-1997  Brian Paul and Ben Bederson
# See the LICENSE file for copyright details.


# $Log: Makefile,v $
# Revision 1.1  2001/05/14 22:55:19  twburton
# Add Togl
#
# Revision 1.1  1999/07/15 21:13:12  dacvs
# Togl, again!
#
# Revision 1.14  1998/03/12 04:11:13  brianp
# updated LIBS for RedHat Linux 5.0
#
# Revision 1.13  1998/03/12 03:08:43  brianp
# added gears demo
#
# Revision 1.12  1997/12/11 02:21:41  brianp
# updated version to 1.5
#
# Revision 1.11  1997/09/18 03:43:00  brianp
# added zip archive target
#
# Revision 1.10  1997/09/17 02:51:45  brianp
# updated tar file list
#
# Revision 1.9  1997/09/17 02:46:01  brianp
# updated for version 1.4
#
# Revision 1.8  1997/03/07 01:25:42  brianp
# added overlay demo
#
# Revision 1.7  1997/02/16 10:03:19  brianp
# updated for version 1.3
#
# Revision 1.6  1996/12/13 21:23:41  brianp
# added -L/usr/X11/lib to LIBS
#
# Revision 1.5  1996/11/05 02:38:30  brianp
# added -f flag to rm commands
# added Togl.html to tar file
#
# Revision 1.4  1996/10/25 03:45:18  brianp
# changed tar commands
#
# Revision 1.3  1996/10/25 00:46:29  brianp
# added SHLINK and SH_LIB stuff
#
# Revision 1.2  1996/10/25 00:43:12  brianp
# misc cleanups
#
# Revision 1.1  1996/10/23 23:15:09  brianp
# Initial revision
#



# Makefile for Togl demos
# You'll probably have to tinker with these macros:


# The C compiler:
CC = cc

# Compiler options:
COPTS = -c -O

# Shared library linker command:
SHLINK = cc -G

# Name for the shared lib:
#SH_LIB = libtogl.so.1.3
SH_LIB = 

# Where to find tcl.h, tk.h, OpenGL/Mesa headers, etc:
INCLUDES = -I/usr/local/include -I/usr/include/tcl

# Where to find libtcl.a, libtk.a, OpenGL/Mesa libraries:
LIBDIRS = -L/usr/local/lib

# Libraries to link with (-ldl for Linux only?):
LIBS = -ltk -ltcl -lGLU -lGL -L/usr/X11/lib -lX11 -lXmu -lXext -lXt -lm -ldl

TK_FLAGS =


#### Shouldn't have to change anything beyond this point ####


CFLAGS = $(COPTS) $(INCLUDES) $(TK_FLAGS)

LFLAGS = $(LIBDIRS)


DEMOS = $(SH_LIB) double texture index overlay gears


default: $(DEMOS)


# double demo
double: double.o togl.o
	$(CC) $(LFLAGS) double.o togl.o $(LIBS) -o $@

double.o: double.c togl.h
	$(CC) $(CFLAGS) double.c


# texture demo
texture: texture.o image.o togl.o
	$(CC) $(LFLAGS) texture.o image.o togl.o $(LIBS) -o $@

texture.o: texture.c togl.h
	$(CC) $(CFLAGS) texture.c

image.o: image.c
	$(CC) $(CFLAGS) image.c


# color index demo
index: index.o togl.o
	$(CC) $(LFLAGS) index.o togl.o $(LIBS) -o $@

index.o: index.c togl.h
	$(CC) $(CFLAGS) index.c


# overlay demo
overlay: overlay.o togl.o
	$(CC) $(LFLAGS) overlay.o togl.o $(LIBS) -o $@

overlay.o: overlay.c togl.h
	$(CC) $(CFLAGS) overlay.c


# gears demo
gears: gears.o togl.o
	$(CC) $(LFLAGS) gears.o togl.o $(LIBS) -o $@

gears.o: gears.c togl.h
	$(CC) $(CFLAGS) gears.c


# the togl widget
togl.o: togl.c togl.h
	$(CC) $(CFLAGS) togl.c


#$(SH_LIB): togl.o
#	$(SHLINK) $(LFLAGS) togl.o $(LIBS) -o $@ 



clean:
	-rm -f *.o *~ core

realclean:
	-rm -f *.o *~ core
	-rm -f $(DEMOS)



TOGL = Togl-1.5

FILES = \
	$(TOGL)/README		\
	$(TOGL)/Togl.html	\
	$(TOGL)/LICENSE		\
	$(TOGL)/Makefile	\
	$(TOGL)/*.[ch]		\
	$(TOGL)/*.tcl		\
	$(TOGL)/tree2.rgba	\
	$(TOGL)/ben.rgb

tar:
	cd .. ; \
	tar -cvf $(TOGL).tar $(FILES) ; \
	gzip $(TOGL).tar ; \
	mv $(TOGL).tar.gz $(TOGL)


zip:
	cd .. ; \
	zip -r $(TOGL).zip $(FILES) ; \
	mv $(TOGL).zip $(TOGL)

=== src/Togl-1.6/Makefile ===
# $Id: Makefile,v 1.1 2003/02/14 20:18:20 mcfletch Exp $

# Togl - a Tk OpenGL widget
# Version 1.6
# Copyright (C) 1996-1997  Brian Paul and Ben Bederson
# See the LICENSE file for copyright details.


# $Log: Makefile,v $
# Revision 1.1  2003/02/14 20:18:20  mcfletch
# Switch to TOGL 1.6 (from CVS) which should support Tk 8.4 (and earlier versions as well)
#
# Revision 1.20  2001/12/20 13:59:31  beskow
# Improved error-handling in togl.c in case of window creation failure
# Added pkgIndex target to makefile
# Updated documentation to reflect stubs-interface (Togl.html + new README.stubs)
# Added tk8.4a3 headers
# Removed obsolete Tk internal headers
#
# Revision 1.19  2001/01/29 18:11:53  brianp
# Jonas Beskow's changes to use Tcl/Tk stub interface
#
# Revision 1.18  2000/12/02 18:37:44  brianp
# updates from Bruce Cameron
#
# Revision 1.17  2000/01/05 19:38:39  brianp
# added more include and lib paths for X11
#
# Revision 1.16  1999/05/16 15:10:15  brianp
# added Windows-related files to FILES list
#
# Revision 1.15  1998/10/14 01:27:52  brianp
# bumped version to 1.6
#
# Revision 1.14  1998/03/12 04:11:13  brianp
# updated LIBS for RedHat Linux 5.0
#
# Revision 1.13  1998/03/12 03:08:43  brianp
# added gears demo
#
# Revision 1.12  1997/12/11 02:21:41  brianp
# updated version to 1.5
#
# Revision 1.11  1997/09/18 03:43:00  brianp
# added zip archive target
#
# Revision 1.10  1997/09/17 02:51:45  brianp
# updated tar file list
#
# Revision 1.9  1997/09/17 02:46:01  brianp
# updated for version 1.4
#
# Revision 1.8  1997/03/07 01:25:42  brianp
# added overlay demo
#
# Revision 1.7  1997/02/16 10:03:19  brianp
# updated for version 1.3
#
# Revision 1.6  1996/12/13 21:23:41  brianp
# added -L/usr/X11/lib to LIBS
#
# Revision 1.5  1996/11/05 02:38:30  brianp
# added -f flag to rm commands
# added Togl.html to tar file
#
# Revision 1.4  1996/10/25 03:45:18  brianp
# changed tar commands
#
# Revision 1.3  1996/10/25 00:46:29  brianp
# added SHLINK and SH_LIB stuff
#
# Revision 1.2  1996/10/25 00:43:12  brianp
# misc cleanups
#
# Revision 1.1  1996/10/23 23:15:09  brianp
# Initial revision
#



# Makefile for Togl demos
# You'll probably have to tinker with these macros:


# The C compiler:
CC = cc

# Compiler options:
# for DEC
#COPTS = -c -g -signed -DALPHA
# for HP
#COPTS = -c -g -Ae +z -Wl,+s,+b:,-B immediate  +DAportable -DHP
# for IBM
#COPTS = -c -g -qchars=signed -DIBM
# for PC_LINUX
COPTS = -c -g -fPIC -mcpu=i586 -DPC_LINUX -DDEBUG -DUSE_TCL_STUBS -DUSE_TK_STUBS -DUSE_LOCAL_TK_H
# for SGI
#COPTS = -c -g -n32 -signed -DSGI
# for SUN
#COPTS = -c -g -Xc -mt -DSUN


# Shared library linker command:
SHLINK = cc -shared


# Where to find tcl.h, tk.h, OpenGL/Mesa headers, etc:

TCL_PREFIX = /usr/local
TCL_VER = 8.3

# uncomment exactly one
TCL_INCLUDE = -I$(TCL_PREFIX)/include
#TCL_INCLUDE = -I/pkg/tcl-tk/8.3.0/include
# for DEC
#INCLUDES = $(TCL_INCLUDE)
# for HP
#INCLUDES = -I/opt/graphics/OpenGL/include $(TCL_INCLUDE)
# for IBM
#INCLUDES = -I/usr/lpp/OpenGL/include $(TCL_INCLUDE)
# for PC_LINUX
INCLUDES = -I/usr/X11R6/include $(TCL_INCLUDE)
# for SGI
#INCLUDES = $(TCL_INCLUDE)
# for SUN
#INCLUDES = -I/usr/openwin/include $(TCL_INCLUDE)


# Where to find libtcl.a, libtk.a, OpenGL/Mesa libraries:
# uncomment exactly one
TCL_LIB = -L$(TCL_PREFIX)/lib
# for DEC
#LIBDIRS =  $(TCL_LIB)
# for HP
#LIBDIRS = -L/opt/graphics/OpenGL/lib $(TCL_LIB)
# for IBM
#LIBDIRS = -L/usr/lpp/OpenGL/lib $(TCL_LIB)
# for PC_LINUX
LIBDIRS = $(TCL_LIB) -L/usr/X11R6/lib -Xlinker -rpath -Xlinker $(TCL_PREFIX)/lib
# for SGI
#LIBDIRS = $(TCL_LIB)
# for SUN
#LIBDIRS = -L/usr/openwin/lib $(TCL_LIB)

TCL_LIBS = -ltcl$(TCL_VER) -ltk$(TCL_VER)
TCL_STUB_LIBS = -ltclstub$(TCL_VER) -ltkstub$(TCL_VER)

# Libraries to link with (-ldl for Linux only?):
# NOTE: use -ltcl8.1 -ltk8.1 for Tcl/Tk version 8.1
LIBS = $(TCL_LIBS) -lGLU -lGL -L/usr/X11/lib -lX11 -lXmu -lXext -lXt -lm -ldl
STUB_LIBS = $(TCL_STUB_LIBS) -lGLU -lGL -L/usr/X11/lib -lX11 -lXmu -lXext -lXt -lm -ldl

TK_FLAGS =


#### Shouldn't have to change anything beyond this point ####


CFLAGS = $(COPTS) $(INCLUDES) $(TK_FLAGS)

LFLAGS = $(LIBDIRS)


all: togl.so double.so texture.so index.so overlay.so gears.so pkgIndex

# the togl widget
togl.o: togl.c togl.h
	$(CC) $(CFLAGS) togl.c

togl.so: togl.o
	$(SHLINK) $(LFLAGS) togl.o $(STUB_LIBS) -o $@ 

# double demo
double.so: double.o togl.o
	$(SHLINK) $(LFLAGS) double.o togl.o $(STUB_LIBS) -o $@

double.o: double.c togl.h
	$(CC) $(CFLAGS) double.c


# texture demo
texture.so: texture.o image.o togl.o
	$(SHLINK) $(LFLAGS) texture.o image.o togl.o $(STUB_LIBS) -o $@

texture.o: texture.c togl.h
	$(CC) $(CFLAGS) texture.c

image.o: image.c
	$(CC) $(CFLAGS) image.c


# color index demo
index.so: index.o togl.o
	$(SHLINK) $(LFLAGS) index.o togl.o $(STUB_LIBS) -o $@

index.o: index.c togl.h
	$(CC) $(CFLAGS) index.c


# overlay demo
overlay.so: overlay.o togl.o
	$(SHLINK) $(LFLAGS) overlay.o togl.o $(STUB_LIBS) -o $@

overlay.o: overlay.c togl.h
	$(CC) $(CFLAGS) overlay.c


# gears demo
gears.so: gears.o togl.o
	$(SHLINK) $(LFLAGS) gears.o togl.o $(STUB_LIBS) -o gears.so

gears.o: gears.c togl.h
	$(CC) $(CFLAGS) gears.c


clean:
	-rm -f *.o *.so *~ core

realclean:
	-rm -f *.o *~ core
	-rm -f $(DEMOS)


TOGL_VERSION = $(shell grep TOGL_VERSION togl.h | cut -f 3 -d " ")
#TOGL = Togl-$(TOGL_VERSION)
TOGL = Togl
ARCH = $(shell uname -s)

FILES = \
	$(TOGL)/Togl.html	\
	$(TOGL)/LICENSE		\
	$(TOGL)/Makefile	\
	$(TOGL)/Makefile.vc	\
	$(TOGL)/*.[ch]		\
	$(TOGL)/*.tcl		\
	$(TOGL)/tree2.rgba	\
	$(TOGL)/ben.rgb

pkgIndex:
	echo 'puts [pkg::create -name Togl -version $(TOGL_VERSION) -load togl[info sharedlibextension]]' | tclsh > pkgIndex.tcl 

tar:
	cd .. ; \
	tar -cvf $(TOGL).tar $(FILES) ; \
	gzip $(TOGL).tar ; \
	mv $(TOGL).tar.gz $(TOGL)


zip:
	cd .. ; \
	zip -r $(TOGL).zip $(FILES) ; \
	mv $(TOGL).zip $(TOGL)

binpkg: togl.so pkgIndex
	rm -rf $(TOGL)-$(TOGL_VERSION)
	mkdir $(TOGL)-$(TOGL_VERSION)
	mkdir $(TOGL)-$(TOGL_VERSION)/demos
	cp togl.so pkgIndex.tcl $(TOGL)-$(TOGL_VERSION)
	cp gears.so texture.so double.so $(TOGL)-$(TOGL_VERSION)/demos
	cp gears.tcl texture.tcl double.tcl $(TOGL)-$(TOGL_VERSION)/demos
	tar -cvf - $(TOGL)-$(TOGL_VERSION) $(TOGL)-$(TOGL_VERSION)-$(ARCH).tar.gz | gzip > $(TOGL)-$(TOGL_VERSION)-$(ARCH).tar.gz

## pyopengl 3.0.1~b2

=== debian/changelog ===
pyopengl (3.0.1~b2-1) unstable; urgency=low

  * New upstream release
  * Converted to source format "3.0 (quilt)"
  * debian/control
    - Bumped standards version to 3.8.3, no changes necessary
    - Build-depend on python instead of python-dev
    - Drop build dependency on cdbs
    - Drop dependency on python-ctypes, package has been removed
  * debian/rules
    - Switch to dh instead of cdbs

 -- Torsten Marek <shlomme@debian.org>  Tue, 26 Jan 2010 20:34:51 +0100

pyopengl (3.0.0~c1-1) unstable; urgency=low

  * New upstream release (Closes: #498403)
  * debian/compat
    - bumped debhelper compatibility level to 7
  * debian/control, debian/rules
    - Switched to python-support
    - bumped standards version to 3.8.1, no changes necessary
    - removed python-opengl-doc, documentation is not distributed anymore
      by upstream.
    - removed build dependency on python-setuptools and run-time
      dependency on python-pkg-resource, not needed anymore
    - dropped build dependencies on all GL libraries, not needed anymore
      because documentation is removed
    - removed dependencies on dpatch
  * debian/preinst
    - make sure pycentral files are removed properly
  * debian/patches/00list
    - deactivated patches

 -- Torsten Marek <shlomme@debian.org>  Fri, 27 Mar 2009 15:11:57 +0100

pyopengl (3.0.0~b6-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Bump XS-Python-Version to >=2.4 (decorators issue, Closes: #505769)

 -- Torsten Marek <shlomme@debian.org>  Thu, 27 Nov 2008 01:00:32 +0100

pyopengl (3.0.0~b6-2) testing-proposed-updates; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Torsten Marek ]
  * Upload to testing-proposed-updates

 -- Torsten Marek <shlomme@debian.org>  Wed, 12 Nov 2008 18:26:48 +0100

pyopengl (3.0.0~b6-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Thu, 23 Oct 2008 15:01:58 +0200

pyopengl (3.0.0~b5-1) experimental; urgency=low

  [Torsten Marek]
  * New upstream release
  * debian/patches
   - removed 02_test_fix.dpatch, not needed anymore

  [Andrea Gasparini]
  * debian/rules
    - Use dynamic pyversion for building docs.Don't use hardcoded
      python2.5

 -- Torsten Marek <shlomme@debian.org>  Tue, 12 Aug 2008 08:17:07 +0200

pyopengl (3.0.0~b3-1) unstable; urgency=low

  * New upstream release (Closes: #454988)
  * debian/control
    - update standard version to 3.8.0, no changes necessary
    - change dependency on python-ctypes to
      python-ctypes | python (>= 2.5) (Closes: #485594)
    - only build-depend on python-dev, not python-all-dev
  * Handle missing Togl module gracefully,
    do not break the Python help system (Closes: #455896)

 -- Torsten Marek <shlomme@debian.org>  Tue, 01 Jul 2008 17:25:00 +0200

pyopengl (3.0.0~b1-2) unstable; urgency=low

  * debian/rules
    - remove special renaming of *.egg-info directory, is now
      handled by python-central (Closes: #472042).
  * debian/control
    - depend on python-central >= 0.6.0
  * debian/python-opengl-doc.doc-base
    - change section to Programming/Python

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 21:12:30 +0100

pyopengl (3.0.0~b1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/watch
    - added file
  * debian/control
    - uniforming Vcs-Browser field

  [ Torsten Marek ]
  * New upstream release.
  * Added suggestion for libgle3
  * Updated standards version to 3.7.3, no changes necessary.
  * Added patch to remove setuptools-dependency on ctypes in setup.py
  * Replace dependency on python-setuptools with 
    python-pkg-resources. (Closes: #468718)
  * Documentation is not included in source package, is now
    created during package build. Added build-dependencies
    on GL (libgl1), GLU (libglu1), GLUT (freeglut3) and 
    GLE (libgle3) to make this possible. 

 -- Torsten Marek <shlomme@debian.org>  Sun, 02 Mar 2008 22:51:50 +0100

pyopengl (3.0.0~a6-4) unstable; urgency=low

  * Just suggest python-numpy, don't recommend it. (Closes: #435602)
  * Acknowledge historical NMU. (Closes: #373547)

 -- Torsten Marek <shlomme@debian.org>  Sun, 12 Aug 2007 14:06:11 +0200

pyopengl (3.0.0~a6-3) unstable; urgency=low

  * Promoted NumPy to a recommendation.
  * Added python-tk to suggests.
  * Depend on python-setuptools. (Closes: #435161)
	
 -- Torsten Marek <shlomme@debian.org>  Fri, 27 Jul 2007 19:34:06 +0200

pyopengl (3.0.0~a6-2) unstable; urgency=low

  * Upload to unstable.
  * Python 2.5 is supported now. (Closes: #430493)
  * Acknowledge older NMU fixes.
    Closes: #387930, #282896, #343207

 -- Torsten Marek <shlomme@debian.org>  Wed, 13 Jun 2007 22:44:55 +0200

pyopengl (3.0.0~a6-1) experimental; urgency=low

  * New upstream 3.0.0a6 (Closes: #412374)
  * Taken over package from Jamie Wilkinson. Thanks for the work!
  * Added python-opengl-doc package with documentation

 -- Torsten Marek <shlomme@debian.org>  Wed, 13 Jun 2007 21:31:45 +0200

pyopengl (2.0.1.09.dfsg.1-0.3) unstable; urgency=low

  * Porter NMU.
  * Add support for GNU/kFreeBSD (Closes: #345218).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 23:07:36 +0100

pyopengl (2.0.1.09.dfsg.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch directly in the source in order to avoid problems with
    -rsudo. (Closes: #396703)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri,  3 Nov 2006 06:50:38 +0100

pyopengl (2.0.1.09.dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version name for DFSG-free Debian version.  Note that this is
    the same upstream version as previously, but with the undistributable font
    removed and replaced with a symlink to Bitstream Vera Sans Italic.
    (Closes: 393730)
  * Bumped standards-version to 3.7.2, no changes required.
  * Removed dh_python, not longer necessary. 



=== debian/control ===
Source: pyopengl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 7.0.1), python-support, python
Standards-Version: 3.8.3
Homepage: http://pyopengl.sourceforge.net
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyopengl/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyopengl/trunk/

Package: python-opengl
Architecture: all
Depends: ${python:Depends}, libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, freeglut3, ${misc:Depends}
Suggests: python-tk, python-numpy, libgle3
XB-Python-Version: ${python:Versions}
Description: Python bindings to OpenGL
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).

=== debian/watch ===
version=3

# bloody trick to identify only versions starting with a digit, removing the tilde from debian version
opts=dversionmangle=s/~//g \
http://sf.net/pyopengl/PyOpenGL-(\d.*)\.tar\.gz

## pyopengl 3.0.1

=== debian/changelog ===
pyopengl (3.0.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #527342)
  * debian/watch
    - Update to use PyPI
  * debian/control, debian/rules
    - Switched to dh_python2.
    - Bumped standards version to 3.9.3, no changes necessary
  * debian/preinst, debian/pycompat, debian/pyversions
    - Drop files no longer necessary with switch to dh_python2.

 -- Arthur de Jong <adejong@debian.org>  Sat, 10 Mar 2012 17:59:51 +0100

=== debian/control ===
Source: pyopengl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 7.0.1), python (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: http://pyopengl.sourceforge.net
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyopengl/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyopengl/trunk/

Package: python-opengl
Architecture: all
Depends: ${python:Depends}, libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, freeglut3, ${misc:Depends}
Suggests: python-tk, python-numpy, libgle3
Description: Python bindings to OpenGL
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).

## pyopengl 3.0.2

=== debian/changelog ===
pyopengl (3.0.2-1) unstable; urgency=low

  * Team upload
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Bump debhelper version to 9
    - Add X-Python-Version field
  * debian/compat: Set as 9

  [ Piotr Ożarowski ]
  * Add python-ctypes to python-opengl's Depends

  [ Roman Valov ]
  * debian/rules:
    - Switched to pybuild buildsystem.
    - Update to build python2 and python3 packages.
  * debian/control:
    - Bump standards-version to 3.9.5
    - Update to build python2 and python3 packages.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 17 Jan 2014 19:41:43 +0100

=== debian/control ===
Source: pyopengl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.2), python3-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.5 
X-Python3-Version: >= 3.2 
Homepage: http://pyopengl.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyopengl/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyopengl/trunk/

Package: python-opengl
Architecture: all
Depends: ${python:Depends}, python-ctypes, libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, freeglut3, ${misc:Depends}
Suggests: python-tk, python-numpy, libgle3
Description: Python bindings to OpenGL (Python 2)
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).
 .
 This is the Python 2 version of the package.

Package: python3-opengl
Architecture: all
Depends: ${python3:Depends}, libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, freeglut3, ${misc:Depends}
Suggests: python3-tk, python3-numpy, libgle3
Description: Python bindings to OpenGL (Python 3)
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opengl
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3

# bloody trick to identify only versions starting with a digit, removing the tilde from debian version
opts=dversionmangle=s/~//g \
http://pypi.python.org/packages/source/P/PyOpenGL/PyOpenGL-([\d\.]*)\.tar\.gz

## pyopengl 3.1.0+dfsg

=== debian/changelog ===
pyopengl (3.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Dmitry Smirnov ]
  * New upstream release (Closes: #764514, #703585).
  * Disabled tests (Closes: #802117).
  * Added "debian/gbp.conf".
  * watch/copyright: DFSG-repack to drop .dll files.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 18:09:55 +1000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.2), python3-setuptools
+# generateraw.py
+#    ,python-ctypeslib
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5 
 X-Python3-Version: >= 3.2 
 Homepage: http://pyopengl.sourceforge.net
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyopengl/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyopengl/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyopengl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyopengl.git
 
 Package: python-opengl
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opengl

## Tests are failing (#802117):
export PYBUILD_DISABLE=test/python3

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## pyopengl 3.1.5%2Bdfsg

=== debian/changelog ===
pyopengl (3.1.5+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.1.5+dfsg
  * d/patches
    - Removed 0001-renamed-modules-async-async_-for-python3.7-like-fedo.patch
      it was upstreamed.
  * Added the salsa-ci.yml file
  * Removed useless debian/gbp.conf
  * Python2-rm (Closes: #937498)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 12 Apr 2020 14:59:55 +0200

pyopengl (3.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * d/patches
    + Added 0001-renamed-modules-async-async_-for-python3.7-like-fedo.patch
    (Closes: #903218)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Aug 2018 10:39:40 +0200

## pyopengl 3.1.5+dfsg

=== debian/control ===
Source: pyopengl
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libosmesa6 <!nocheck>,
               python3-all,
               python3-setuptools,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyopengl
Vcs-Git: https://salsa.debian.org/python-team/modules/pyopengl.git
Homepage: http://pyopengl.sourceforge.net

Package: python3-opengl
Architecture: all
Depends: freeglut3,
         libgl1-mesa-glx | libgl1,
         libglu1-mesa | libglu1,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libgle3, python3-numpy, python3-tk
Description: Python bindings to OpenGL (Python 3)
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opengl

## Tests are failing (#802117):
export PYBUILD_DISABLE=test/python3

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3

opts=\
dversionmangle=s/[~+]dfsg\d*//,\
repacksuffix=+dfsg,\
 http://pypi.python.org/packages/source/P/PyOpenGL/PyOpenGL-([\d\.]*)\.tar\.gz

## pyopengl 3.1.6%2Bdfsg

=== debian/changelog ===
pyopengl (3.1.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Eliminated lintian warnings
    - d/watch: no dversionmangle
    - d/copyright: short license empty
  * Bringing PR#93 to debian/patches to have tests/check_glutinit
    function on bookworm or newer.
  * Cleaning PKG-INFO file create during build.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Feb 2023 23:23:04 +0000

pyopengl (3.1.6+dfsg-2) unstable; urgency=medium

  [ Sebastian Kuzminsky ]
  * Team upload.
  * Include a patch from Scott Talbert (Closes: #1029011).

 -- Scott Talbert <swt@techie.net>  Thu, 26 Jan 2023 18:26:28 -0500

pyopengl (3.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.6+dfsg
  * d/rules: Activated the unittest
  * Use secure URI in Homepage field.
  * Bug fix: "migrate to libglut3.12", thanks to Sebastian Ramacher
    (Closes: #1023548).
  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 15 Nov 2022 13:51:09 +0100

pyopengl (3.1.5+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:39:28 +0100

pyopengl (3.1.5+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Jun 2022 23:57:45 -0400

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run --server-args="-screen 0 1024x768x24 -ac +extension GLX +render -noreset" $py -m pytest tests
 ; done
Depends:
 python3-all,
 python3-opengl,
 python3-pygame,
 python3-pytest,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable

## pyopengl 3.1.6+dfsg

=== debian/changelog ===
pyopengl (3.1.6+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Bump standards version to 4.6.2 (no further changes required).

  [ Sebastian Ramacher ]
  * debian/control: Remove hard-coded dependency on libgl1-mesa-glx (Closes:
    #1051599)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Sep 2023 15:50:58 +0200

=== debian/control ===
Source: pyopengl
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Torsten Marek <shlomme@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 libgl1,
 libglu1-mesa | libglu1,
 python3-all,
 python3-pygame <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-tk <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyopengl
Vcs-Git: https://salsa.debian.org/python-team/packages/pyopengl.git
Homepage: https://pyopengl.sourceforge.net

Package: python3-opengl
Architecture: all
Depends:
 libgl1,
 libglu1-mesa | libglu1,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libglut-dev,
Suggests:
 libgle3,
 python3-numpy,
 python3-tk,
Description: Python bindings to OpenGL (Python 3)
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).
 .
 This is the Python 3 version of the package.

## pyopengl 3.1.7+dfsg

=== debian/changelog ===
pyopengl (3.1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * d/patches: All patches were upstreamed. so remove all of them.
  * d/control: B-D pybuild-plugin-pyproject
  * d/patches/0001-fix-Python3.12-tests.patch: Added to solved
    - Bug fix: "FTBFS: dh_auto_test: error: pybuild --test --test-pytest -i
      python{version} -p &quot;3.12 3.11&quot; returned exit code 13",
      thanks to Lucas Nussbaum (Closes: #1058308).
    - Bug fix: "pyopengl&#39;s autopkg tests fail with Python 3.12", thanks
      to Matthias Klose (Closes: #1056440).
  * Bug fix: "please run autopkg tests for all supported Python versions
    before stopping", thanks to Matthias Klose (Closes: #1060252).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 14 Jan 2024 15:31:59 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-sequence-python3,
  libgl1,
  libglu1-mesa | libglu1,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pygame <!nocheck>,
  python3-pytest <!nocheck>,
@@ -21,6 +22,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyopengl
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyopengl.git
 Homepage: https://pyopengl.sourceforge.net
+Rules-Requires-Root: no
 
 Package: python3-opengl
 Architecture: all

=== debian/tests/control ===
Tests: all-tests
Depends:
 python3-all,
 python3-opengl,
 python3-pygame,
 python3-pytest,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4

opts=dversionmangle=auto,repacksuffix=+dfsg https://pypi.python.org/packages/source/P/PyOpenGL/PyOpenGL-([\d\.]*)\.tar\.gz

## pyopengl 3.1.9%2Bdfsg

=== debian/tests/control ===
Tests: all-tests
Depends:
 mesa-utils,
 libglvnd-dev,
 python3-all,
 python3-opengl,
 python3-psutil,
 python3-pygame,
 python3-pytest,
 python3-tk,
 python3-xlib,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable, flaky

## pyopengl 3.1.9+dfsg

=== debian/changelog ===
pyopengl (3.1.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip check_egl_platform_ext in case of PermissionError (LP: #2115791)
  * autopkgtest: use py3versions --supported instead of --requested

 -- Benjamin Drung <bdrung@debian.org>  Wed, 02 Jul 2025 17:07:34 +0200

pyopengl (3.1.9+dfsg-1.1) unstable; urgency=medium

  * Team upload.
  * Do not run test_test_glgetfloat_leak in autopkgtest as it fails in riscv64
    with python3-psutil 7 and prevents migration of it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 15:08:48 +0200

pyopengl (3.1.9+dfsg-1) unstable; urgency=medium

  * s/watch: updated with the new sources filename
  * New upstream version 3.1.9+dfsg
  * d/p/*:
    - removed, already applyed by upstream
    - skip elg tests.
  * d/control: Added python3-psutil <!nocheck> for tests
  * d/control: Added libegl1
  * Bug fix: "FTBFS: FAILED
    tests/test_core.py::TestCore::test_glCallLists_twice2 -
    AssertionError: 0", thanks to Santiago Vila (Closes: #1099270).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 09:17:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,18 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ libegl1,
  libgl1,
  libglu1-mesa | libglu1,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-psutil <!nocheck>,
  python3-pygame <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
  python3-setuptools,
  python3-tk <!nocheck>,
+ python3-xlib <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
@@ -27,8 +31,10 @@
 Package: python3-opengl
 Architecture: all
 Depends:
+ libegl1,
  libgl1,
  libglu1-mesa | libglu1,
+ libglut3.12,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## pyopengl 3.1.10+dfsg

=== debian/changelog ===
pyopengl (3.1.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 3.1.10 (Closes: #1070493)
  * Re-enable build-time tests
  * Update Standards-Version to 4.7.2
  * Patch test to avoid packaging mmap-test-data.dat file
  * Fix upstream metadata

 -- Scott Talbert <swt@techie.net>  Mon, 25 Aug 2025 21:28:50 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
  dh-sequence-python3,
  libegl1,
  libgl1,
+ libgles2,
  libglu1-mesa | libglu1,
+ libglut3.12,
  pybuild-plugin-pyproject,
  python3-all,
  python3-psutil <!nocheck>,
@@ -22,7 +24,7 @@
  python3-xlib <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyopengl
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyopengl.git
 Homepage: https://pyopengl.sourceforge.net
@@ -33,6 +35,7 @@
 Depends:
  libegl1,
  libgl1,
+ libgles2,
  libglu1-mesa | libglu1,
  libglut3.12,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opengl

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run -a -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -f PyOpenGL.egg-info/PKG-INFO

=== debian/tests/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
  python3-xlib,
  xauth,
  xvfb,
-Restrictions: allow-stderr, skip-not-installable, flaky
+Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg,uversionmangle=s/(a|alpha|b|beta|c|dev|pre|rc)/~$1/ https://pypi.python.org/packages/source/P/PyOpenGL/ pyopengl-@ANY_VERSION@@ARCHIVE_EXT@
